package com.example.monitorpatientstatus.mapper;
import com.example.monitorpatientstatus.entity.Patient;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

//@Repository将类标识为bean
@Repository
@Mapper
public interface PatientMapper {
    List<Patient> findAll();
    Patient findByName(@Param("username") String username);
    String findPswByName(@Param("UserName") String UserName);
    void save(Patient patient);
    void modify(Patient patient);
    void showInfo(Patient patient);
}
